Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.util.exec
Class StreamWriterExecOutputHandle

    java.lang.Object
      org.gradle.util.exec.StreamWriterExecOutputHandle

All Implemented Interfaces:
  ExecOutputHandle

    class StreamWriterExecOutputHandle
    extends java.lang.Object

author:
  Tom Eyckmans

Constructor Summary
`StreamWriterExecOutputHandle(java.io.Writer target)`
`StreamWriterExecOutputHandle(java.io.BufferedWriter target)`
`StreamWriterExecOutputHandle(java.io.OutputStream target)`
`StreamWriterExecOutputHandle(java.io.Writer target, boolean directFlush)`
`StreamWriterExecOutputHandle(java.io.BufferedWriter target, boolean directFlush)`
`StreamWriterExecOutputHandle(java.io.OutputStream target, boolean directFlush)`

Method Summary
`void` | `endOutput()`
`boolean` | `execOutputHandleError(java.lang.Throwable t)`
`java.io.BufferedWriter` | `getTarget()`
`void` | `handleOutputLine(java.lang.String outputLine)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### StreamWriterExecOutputHandle

    public StreamWriterExecOutputHandle(java.io.Writer target)

### StreamWriterExecOutputHandle

    public StreamWriterExecOutputHandle(java.io.BufferedWriter target)

### StreamWriterExecOutputHandle

    public StreamWriterExecOutputHandle(java.io.OutputStream target)

### StreamWriterExecOutputHandle

    public StreamWriterExecOutputHandle(java.io.Writer target, boolean directFlush)

### StreamWriterExecOutputHandle

    public StreamWriterExecOutputHandle(java.io.BufferedWriter target, boolean directFlush)

### StreamWriterExecOutputHandle

    public StreamWriterExecOutputHandle(java.io.OutputStream target, boolean directFlush)

Method Detail

### endOutput

    public void endOutput()

### execOutputHandleError

    public boolean execOutputHandleError(java.lang.Throwable t)

### getTarget

    public java.io.BufferedWriter getTarget()

### handleOutputLine

    public void handleOutputLine(java.lang.String outputLine)

Groovy Documentation